package com.example;

import de.greenrobot.daogenerator.DaoGenerator;
import de.greenrobot.daogenerator.Entity;
import de.greenrobot.daogenerator.Schema;

public class MyClass {

    public static void main(String[] args) throws Exception {

        Schema schema = new Schema(1, "lu.wade.microlifeconnectedhealth");
        addBPM(schema);
        addBT(schema);
        addWeight(schema);

        new DaoGenerator().generateAll(schema, "../MicrolifeConnectedHealth/app/src/main/java-gen");
    }

    private static void addBPM(Schema schema) {
        Entity bpmList = schema.addEntity("BPMList");
        bpmList.addIdProperty().primaryKey().autoincrement();

        bpmList.addIntProperty("sys").notNull();
        bpmList.addIntProperty("dia").notNull();
        bpmList.addIntProperty("pul").notNull();
        bpmList.addIntProperty("sys_unit").notNull();
        bpmList.addIntProperty("pul_unit").notNull();
        bpmList.addStringProperty("time").notNull();
        bpmList.addStringProperty("date").notNull();
        bpmList.addStringProperty("bpm_photo_path").notNull();
        bpmList.addStringProperty("bpm_note").notNull();
        bpmList.addStringProperty("bpm_recording_path").notNull();

    }

    private static void addWeight(Schema schema) {
        Entity weightList = schema.addEntity("WeightList");
        weightList.addIdProperty().primaryKey().autoincrement();

        weightList.addIntProperty("weight").notNull();
        weightList.addIntProperty("weight_unit").notNull();
        weightList.addStringProperty("bmi").notNull();
        weightList.addStringProperty("body_fat").notNull();
        weightList.addStringProperty("time").notNull();
        weightList.addStringProperty("date").notNull();
        weightList.addStringProperty("weight_photo_path").notNull();
        weightList.addStringProperty("weight_note").notNull();
        weightList.addStringProperty("weight_recording_path").notNull();

    }

    private static void addBT(Schema schema) {
        Entity btList = schema.addEntity("BTList");
        btList.addIdProperty().primaryKey().autoincrement();

        btList.addStringProperty("body_temp").notNull();
        btList.addStringProperty("event").notNull();
        btList.addStringProperty("type").notNull();
        btList.addStringProperty("event_time").notNull();
        btList.addStringProperty("time").notNull();
        btList.addStringProperty("date").notNull();
        btList.addStringProperty("bt_photo_path").notNull();
        btList.addStringProperty("bt_note").notNull();
        btList.addStringProperty("bt_recording_path").notNull();

    }
}
